
Redmine - Defect #14533

"Close completed versions" button not working

2013-07-24 12:32 - Thomas Godard

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Hello,

I am actually finishing a migration from a project management software to redmine.

By doing so, I created many old versions which are now closed.

As you can see on image Version_List, many versions are still opened but finished such as :

5.1.4.1

5.1.4.2

5.1.4.3

5.1.4.4

as you can see on image Roadmap_Version.

When I click on the "Settings/Versions/Close completed versions" button, it doesn't close any of my finished versions.

I am actually running on Centos 6.4 with this environment :

Environment:

  Redmine version                          2.3.1.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  no plugin installed

 Thank you.

History

#1 - 2013-07-24 12:38 - Thomas Godard

I have just checked my production.log and no error is shown.

#2 - 2013-07-28 22:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

"Close completed versions" closes versions that are completed: due date reached and no open issues. Your versions don't have any due date, that's

why they are left open.

#3 - 2013-07-29 09:19 - Thomas Godard

Thanks for the tip Jean-Philippe Lang, sorry for the inconvenient.
